.header-wrapper {
    display: flex;
}

.header-logo {
    height: 100vh;
    width: 75%;
    background-size: cover;
    position: relative;
}

.header-nav {
    width: 25%;
    display: flex;
    flex-direction: column;
    padding: 0 auto;
}

.header-info {
    width: 50%;
    height: 50%;
    color: #fff;
    position: absolute;
    top: 50%;
    left: 50%;
    background: radial-gradient(ellipse at bottom, #1b2735 0%, #090a0f 100%);
    opacity: 0.8;
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    transition: 1s;
    text-align: center;
}

.header-movie-name,
.header-movie-rating,
.header-schedule {
    color:rgb(229, 9, 20);
    font-weight: 700;
}

.header-movie-name {
    font-size: 2.5em;
}

.header-summary {
    overflow: hidden;
    margin: 40px;
}

.header-info:hover {
    opacity: 1;
}

.menu-item-wrapper {
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
    width: 150px;
    height: 30px;
    margin: 10px auto;
    border: 5px solid rgba(255, 255, 255, 1);
    font-size: 1em;
    cursor: pointer;
}

.menu-item-wrapper > .menu-item-span {
    position: relative;
    color: transparent;
    background-image: linear-gradient(0deg, rgb(229, 9, 20) 0%, rgb(229, 9, 20) 50%, rgba(255, 255, 255, 1) 50%, rgba(255, 255, 255, 1) 100%);
    background-repeat: repeat;
    background-size: 100% 200%;
    background-position: 0 0;
    -webkit-background-clip: text;
    background-clip: text;
    transition: background-position 0.3s;
}

.menu-item-wrapper::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(255, 255, 255, 1);
    transform-origin: 0 0;
    transform: scale3d(1, 0, 1);
    transition: transform 0.3s;
}

.menu-item-wrapper:hover .menu-item-span {
    background-position: 0 100%;
}

.menu-item-wrapper:hover::before {
    transform-origin: 0 100%;
    transform: scale3d(1, 1, 1);
}

.app-title {
    color:rgb(229, 9, 20);
    font-weight: 700;
    font-size: 4em;
    margin: 40px auto 20px;
    width: 80%;
}

@media screen and (max-width: 1200px) {

    .app-title {
        font-size: 3em;
    }

    .menu-item-wrapper {
        width: 140px; 
    }

}

@media screen and (max-width: 1000px) {

    .app-title {
        font-size: 2.7em;
    }

}

@media screen and (max-width: 880px) {

    .app-title {
        font-size: 2.3em;
    }

}

@media screen and (max-width: 762px) {

    .app-title {
        font-size: 2em;
    }

    .menu-item-wrapper {
        width: 100px; 
    }

    .menu-item-span {
        font-size: 0.7em;
    }

}

@media screen and (max-width: 650px) {

    .app-title {
        font-size: 1.6em;
    }

}

@media screen and (max-width: 500px) {

    .app-title {
        font-size: 1.1em;
    }

    .menu-item-wrapper {
        width: 80px; 
    }

    .menu-item-span {
        font-size: 0.5em;
    }

}